All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::result_of::alignment< T > Struct Template Reference

Retrieves the alignment from a vector. Deprecated - will be replaced by a pure runtime facility in the future. More...

`#include <result_of.hpp>`

## Public Types

enum | { value = 1 }
typedef T::ERROR_ARGUMENT_PROVIDED_IS_NOT_A_VECTOR_OR_A_MATRIX | error_type

## Detailed Description

### template<typename T>
struct viennacl::result_of::alignment< T >

Retrieves the alignment from a vector. Deprecated - will be replaced by a pure runtime facility in the future.

Definition at line 69 of file result_of.hpp.

## Member Typedef Documentation

template<typename T >

typedef T::ERROR_ARGUMENT_PROVIDED_IS_NOT_A_VECTOR_OR_A_MATRIX viennacl::result_of::alignment< T >::error_type

Definition at line 71 of file result_of.hpp.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator
value |

Definition at line 72 of file result_of.hpp.

The documentation for this struct was generated from the following file:

- viennacl/meta/result_of.hpp